package com.sun.s1asdev.ejb.timer.timertests;

import java.rmi.RemoteException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.ejb.*;


public class FooEJB implements SessionBean, TimedObject {
    private SessionContext sc;

    public FooEJB(){
    }

    public void createTimer(int duration, java.io.Serializable info) throws RemoteException, Exception {
        TimerService ts = sc.getTimerService();
        ts.createTimer(duration, info);
    }

    public void ejbTimeout(Timer t) {
        if (t.getInfo() instanceof java.util.List) {
            System.out.println("In FooEJB::ejbTimeout");
            TimerService ts = sc.getTimerService();
            ts.createTimer(1000, t.getInfo());
        }
        System.out.println("In FooEJB:: freeMem: " + Runtime.getRuntime().freeMemory());

    }

    public void setSessionContext(SessionContext sc) {
	this.sc = sc;
        System.out.println("In FooEJB::setSessionContext");

    }

    public void ejbCreate() throws RemoteException {
	System.out.println("In ejbtimer.Foo::ejbCreate !!");
    }

    public void ejbRemove() throws RemoteException {
        System.out.println("In FooEJB::ejbRemove");
    }

    public void ejbActivate() {
    }

    public void ejbPassivate() {
    }

    

}
